> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Smart Link Clicks (/api-reference/smart-links/list-smart-link-clicks)

Query smart link clicks in a date range with optional bot/duplicate filtering

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/smart-links/{smart_link_id}/clicks
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/smart-links/{smart_link_id}/clicks:
    parameters:
      - in: path
        name: smart_link_id
        description: The ID of the smart link.
        example: quia
        required: true
        schema:
          type: string
    get:
      summary: List Smart Link Clicks
      operationId: listSmartLinkClicks
      description: Query smart link clicks in a date range with optional bot/duplicate
        filtering
      parameters:
        - in: query
          name: date_start
          description: Optional report range start date
          example: 2026-01-01T00:00:00Z
          required: false
          schema:
            type: string
            description: Optional report range start date
            example: 2026-01-01T00:00:00Z
        - in: query
          name: date_end
          description: Optional report range end date
          example: 2026-01-07T23:59:59Z
          required: false
          schema:
            type: string
            description: Optional report range end date
            example: 2026-01-07T23:59:59Z
        - in: query
          name: limit
          description: Rows per page. Default `100`
          example: 100
          required: false
          schema:
            type: integer
            description: Rows per page. Default `100`
            example: 100
        - in: query
          name: offset
          description: Offset for pagination. Default `0`
          example: 0
          required: false
          schema:
            type: integer
            description: Offset for pagination. Default `0`
            example: 0
        - in: query
          name: include_bots
          description: Include clicks marked as bots. Default `true`
          example: true
          required: false
          schema:
            type: boolean
            description: Include clicks marked as bots. Default `true`
            example: true
        - in: query
          name: include_duplicates
          description: Include duplicate clicks. Default `true`
          example: true
          required: false
          schema:
            type: boolean
            description: Include duplicate clicks. Default `true`
            example: true
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    summary:
                      clicks_total: 25
                    chart:
                      - timestamp: 2026-01-30
                        clicks: 10
                      - timestamp: 2026-01-31
                        clicks: 15
                    rows:
                      - id: 01JTESTCLICK000000000000001
                        created_at: 2026-01-31T21:45:00+00:00
                        referrer: example.com
                        ip_address: 192.168.1.10
                        user_agent: Mozilla/5.0
                        browser_device_type: Desktop
                        browser_name: Chrome
                        browser_family: Chrome
                        browser_platform: macOS
                        is_bot: false
                        is_duplicate: false
                        country_code: US
                        external_click_id: ext_123
                        gross_clicks: 1
                        fbclid: null
                        gclid: google-click-id
                        ttclid: tiktok-click-id
                        aff_s1: campaign-a
                        aff_s2: null
                        aff_s3: null
                        aff_s4: null
                        aff_s5: null
                        utm_source: google
                        utm_medium: cpc
                        utm_campaign: winter
                        utm_content: creative-a
                        utm_term: fans
                    filters:
                      date_start: 2026-01-25T00:00:00+00:00
                      date_end: 2026-01-31T23:59:59+00:00
                      limit: 100
                      offset: 0
                      include_bots: true
                      include_duplicates: true
                  _meta:
                    _credits:
                      used: 0
                      balance: 999999
                      note: Free endpoint
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                properties:
                  data:
                    type: object
                    properties:
                      summary:
                        type: object
                        properties:
                          clicks_total:
                            type: integer
                            example: 25
                      chart:
                        type: array
                        example:
                          - timestamp: 2026-01-30
                            clicks: 10
                          - timestamp: 2026-01-31
                            clicks: 15
                        items:
                          type: object
                          properties:
                            timestamp:
                              type: string
                              example: 2026-01-30
                            clicks:
                              type: integer
                              example: 10
                      rows:
                        type: array
                        example:
                          - id: 01JTESTCLICK000000000000001
                            created_at: 2026-01-31T21:45:00+00:00
                            referrer: example.com
                            ip_address: 192.168.1.10
                            user_agent: Mozilla/5.0
                            browser_device_type: Desktop
                            browser_name: Chrome
                            browser_family: Chrome
                            browser_platform: macOS
                            is_bot: false
                            is_duplicate: false
                            country_code: US
                            external_click_id: ext_123
                            gross_clicks: 1
                            fbclid: null
                            gclid: google-click-id
                            ttclid: tiktok-click-id
                            aff_s1: campaign-a
                            aff_s2: null
                            aff_s3: null
                            aff_s4: null
                            aff_s5: null
                            utm_source: google
                            utm_medium: cpc
                            utm_campaign: winter
                            utm_content: creative-a
                            utm_term: fans
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: 01JTESTCLICK000000000000001
                            created_at:
                              type: string
                              example: 2026-01-31T21:45:00+00:00
                            referrer:
                              type: string
                              example: example.com
                            ip_address:
                              type: string
                              example: 192.168.1.10
                            user_agent:
                              type: string
                              example: Mozilla/5.0
                            browser_device_type:
                              type: string
                              example: Desktop
                            browser_name:
                              type: string
                              example: Chrome
                            browser_family:
                              type: string
                              example: Chrome
                            browser_platform:
                              type: string
                              example: macOS
                            is_bot:
                              type: boolean
                              example: false
                            is_duplicate:
                              type: boolean
                              example: false
                            country_code:
                              type: string
                              example: US
                            external_click_id:
                              type: string
                              example: ext_123
                            gross_clicks:
                              type: integer
                              example: 1
                            fbclid:
                              type: string
                              example: null
                              nullable: true
                            gclid:
                              type: string
                              example: google-click-id
                            ttclid:
                              type: string
                              example: tiktok-click-id
                            aff_s1:
                              type: string
                              example: campaign-a
                            aff_s2:
                              type: string
                              example: null
                              nullable: true
                            aff_s3:
                              type: string
                              example: null
                              nullable: true
                            aff_s4:
                              type: string
                              example: null
                              nullable: true
                            aff_s5:
                              type: string
                              example: null
                              nullable: true
                            utm_source:
                              type: string
                              example: google
                            utm_medium:
                              type: string
                              example: cpc
                            utm_campaign:
                              type: string
                              example: winter
                            utm_content:
                              type: string
                              example: creative-a
                            utm_term:
                              type: string
                              example: fans
                      filters:
                        type: object
                        properties:
                          date_start:
                            type: string
                            example: 2026-01-25T00:00:00+00:00
                          date_end:
                            type: string
                            example: 2026-01-31T23:59:59+00:00
                          limit:
                            type: integer
                            example: 100
                          offset:
                            type: integer
                            example: 0
                          include_bots:
                            type: boolean
                            example: true
                          include_duplicates:
                            type: boolean
                            example: true
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 0
                          balance:
                            type: integer
                            example: 999999
                          note:
                            type: string
                            example: Free endpoint
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
      tags:
        - Smart Links
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````